# applicationFlow

Represents various components and systems associated with an application, including artifacts, cloud deployments, CICD information, orchestrators, and repositories.

### Examples

```graphql
type ApplicationFlow {
  artifacts: [ArtifactItem]
  cloudDeployments: [CloudDeployment]
  cicdInfo: [CicdInfo]
  orchestrators: [OrchestratorItem]
  kubernetes: [KubernetesItem]
  repository: [RepositoryItem]
}
```

### Fields

| Field                                                                                                                       | Description                                                      | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| --------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| artifacts [`[ArtifactItem]`](/api-documentation/api-reference/api--application/types/objects/artifact-item.md)              | List of artifacts associated with the application                | <p>type <code>String</code><br>name <code>String</code><br>hashType <code>String</code><br>system <code>String</code><br>subType <code>String</code><br>hash <code>String</code><br>size <code>String</code><br>date <code>String</code><br>location <a href="/pages/MjsrQQTrpWxHlUgYClh7"><code>\[AppFlowItemLocation]</code></a><br>linkName <code>String</code><br>k8sType <code>String</code><br>cluster <code>String</code><br>region <code>String</code></p> |
| cloudDeployments [`[CloudDeployment]`](/api-documentation/api-reference/api--application/types/objects/cloud-deployment.md) | List of cloud deployments associated with the application        | <p>type <code>String</code><br>subType <code>String</code><br>name <code>String</code><br>hash <code>String</code><br>hashType <code>String</code><br>link <code>String</code><br>location <a href="/pages/MjsrQQTrpWxHlUgYClh7"><code>\[AppFlowItemLocation]</code></a><br>k8sType <code>String</code><br>imageName <code>String</code><br>date <code>String</code><br>cluster <code>String</code><br>region <code>String</code></p>                              |
| cicdInfo [`[CicdInfo]`](/api-documentation/api-reference/api--application/types/objects/cicd-info.md)                       | List of CICD pipelines and related information                   | <p>type <code>String</code><br>system <code>String</code><br>latestDate <code>String</code><br>lastMonthJobCount <code>String</code><br>location <a href="/pages/X8esJB644qTXucw5NENR"><code>\[CicdInfoLocation]</code></a></p>                                                                                                                                                                                                                                    |
| orchestrators [`[OrchestratorItem]`](/api-documentation/api-reference/api--application/types/objects/orchestrator-item.md)  | List of orchestrator systems involved in the application         | <p>type <code>String</code><br>name <code>String</code><br>hashType <code>String</code><br>system <code>String</code><br>hash <code>String</code><br>size <code>String</code><br>date <code>String</code><br>location <a href="/pages/MjsrQQTrpWxHlUgYClh7"><code>\[AppFlowItemLocation]</code></a></p>                                                                                                                                                            |
| kubernetes [`[KubernetesItem]`](/api-documentation/api-reference/api--application/types/objects/kubernetes-item.md)         | List of Kubernetes-related items associated with the application | <p>type <code>String</code><br>name <code>String</code><br>hashType <code>String</code><br>system <code>String</code><br>hash <code>String</code><br>subType <code>String</code><br>size <code>String</code><br>date <code>String</code><br>location <a href="/pages/MjsrQQTrpWxHlUgYClh7"><code>\[AppFlowItemLocation]</code></a></p>                                                                                                                             |
| repository [`[RepositoryItem]`](/api-documentation/api-reference/api--application/types/objects/repository-item.md)         | Repository-related information for the application               | <p>type <code>String</code><br>system <code>String</code><br>date <code>String</code><br>location <a href="/pages/MjsrQQTrpWxHlUgYClh7"><code>\[AppFlowItemLocation]</code></a></p>                                                                                                                                                                                                                                                                                |

### References

#### Fields with this object:

* [{} Application.applicationFlows](/api-documentation/api-reference/api--application/types/objects/application.md)
* [{} IAppsInfo.applicationFlows](/api-documentation/api-reference/api--issue/types/objects/i-apps-info.md)
* [{} ArtifactApplication.appFlow](/api-documentation/api-reference/api--artifact/types/objects/artifact-application.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
